Bug 817285 - okular print preview is blank
okular print preview is blank
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: poppler (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marek Kašík
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-28 11:22 EDT by Jon Burgess
Modified: 2013-08-01 01:07 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 01:07:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pdf triggering blank preview in okular (4.47 MB, application/pdf)
2012-04-28 11:22 EDT, Jon Burgess
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 299050 None None None Never

  None (edit)
Description Jon Burgess 2012-04-28 11:22:22 EDT
Created attachment 580983 [details]
pdf triggering blank preview in okular

Description of problem:

The attached PDF opens and displays OK but the print preview is blank. It also fails to print.

Version-Release number of selected component (if applicable):

okular-4.8.2-1.fc17.i686

How reproducible:
Every time in okular.

Steps to Reproduce:
1. Open a3-s3.pdf
2. File -> Print Preview
3. 
  
Actual results:

Preview window appears with blank pages

Expected results:

Document

Additional info:

stdout shows...

[jburgess@eee Downloads]$ okular a3-s3.pdf 
typecheck -20
okular(1541)/okular (Spectre) GSRendererThread::run: Generated image does not match wanted size: [0x0] vs requested [88x62]
QImage::scaled: Image is a null image
typecheck -20
okular(1541)/okular (Spectre) GSRendererThread::run: Generated image does not match wanted size: [0x0] vs requested [555x392]
QImage::scaled: Image is a null image
typecheck -20
okular(1541)/okular (Spectre) GSRendererThread::run: Generated image does not match wanted size: [0x0] vs requested [555x392]
QImage::scaled: Image is a null image
typecheck -20


The same occurs on F16.

The documents displays, previews & prints OK from Evince.
Comment 1 Kevin Kofler 2012-04-28 16:48:17 EDT
Same on F15, FWIW. Have you already reported this upstream at bugs.kde.org? If not, please do so, so the upstream Okular developers also see this bug.
Comment 2 Martin Bříza 2012-07-16 10:10:11 EDT
According to upstream, this bug is related to poppler, setting component to the appropriate one.
Comment 3 Fedora End Of Life 2013-07-03 21:01:55 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-08-01 01:07:22 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.